#version 330 core
#define y60 0.8660254

// Per vertex
in vec3 position;
in vec2 texCoords;
in vec3 normal;

// Per instance
in ivec3 blockPos;
in int blockTex;

out VertOut {
	vec2 texCoords;
	int blockTex;
	vec3 normal;
} vertOut;

void main() {
	gl_Position = vec4(blockPos.x * 1.5 + position.x, blockPos.y + position.y, (blockPos.x + 2 * blockPos.z) + position.z / y60, 1.0);
	vertOut.texCoords = texCoords;
	vertOut.blockTex = blockTex;
	vertOut.normal = normal;
}